Summary:        Python plugin loader
Name:           python-straight-plugin
Version:        1.5.0
Release:        6%{?dist}
License:        BSD
URL:            https://github.com/ironfroggy/straight.plugin/
Source0:        https://files.pythonhosted.org/packages/48/89/34ae6a87784d0b607af61c84a52c313c598f1d86ce5c1e9eb6da038fee5f/straight.plugin-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  /usr/bin/2to3

%description
Straight Plugin provides a type of plugin you can create from
almost any existing Python modules, and an easy way for outside
developers to add functionality and customization to your projects
with their own plugins.


%package -n     python3-straight-plugin
Summary:        Python plugin loader

%description -n python3-straight-plugin
Straight Plugin provides a type of plugin you can create from
almost any existing Python modules, and an easy way for outside
developers to add functionality and customization to your projects
with their own plugins.


%prep
%setup -q -n straight.plugin-%{version}
2to3 --write --nobackups .


%build
%py3_build


%install
%py3_install


%check
%{__python3} tests.py


%files -n python3-straight-plugin
%{python3_sitelib}/straight*


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 Miaojun Dong <zoedong@tencent.com> - 1.5.0-2
- remove README.md

* Wed Nov 30 2022 rockerzhu <rockerzhu@tencent.com> - 1.5.0-1
- Initial build
